from django.contrib import admin
from webservice_running.models import Event

@admin.register(Event)
class EventAdmin(admin.ModelAdmin):
    list_display = (
        'id',
        'order_synced',
        'resource_id',
        'rating_id',
        'attempts',
        'order_place_type',
        'order_place_start',
        'order_place_start_gps',
        'order_place_start_sector',
        'order_place_start_real',
        'order_place_start_real_gps',
        'order_place_finish_predicted',
        'order_place_finish_predicted_gps',
        'order_place_finish_sector',
        'order_place_finish_real',
        'order_place_finish_real_gps',
        'sport',
        'host',
        'required_gender',
        'description',
        'time_updated',
        'time_close',
        'max_participants',
        'min_participants',
        'max_age',
        'min_age',
        'required_level',
        'is_public',
    )
    list_filter = (
        'order_synced',
        'resource_id',
        'sport',
        'host',
        'time_updated',
        'time_close',
        'is_public',
    )