from django.db import models

class Achievements(models.Model):
    """
    Achievments (not to confuse with 'Achievement') table contains a list of achievements.
    Таблицы со всеми достижениями в сервисе
    """
    title = models.CharField(max_length=128, help_text="Название достижения")
    description = models.CharField(max_length=255, help_text="Описание достижения, за что получается")
    image = models.ImageField(upload_to="sports/achievements/", help_text="статичная картинка достижения")
    image_animated = models.ImageField(null=True, blank=True, upload_to="sports/achievements/", help_text="анимированная картинка достижения. Если отсутствует, то используется статичная картинка")
    value = models.FloatField(default=0, help_text="Очки за выполение")

    class Meta:
        db_table = "achievements"
        verbose_name = "достижения"
        verbose_name_plural = "достижения"