from django.db import models
from webservice_running.models import Sportsman

class BlockedSportsman(models.Model):
    """
    Соединяющая таблица двух пользователей для реализации функционала сохранения мероприятия в список заблокированных
    """
    sportsman = models.ForeignKey(Sportsman, 
                                  on_delete=models.DO_NOTHING,
                                  related_name="sportsman_blockedsportsman")
    sportsman_blocked = models.ForeignKey(Sportsman, 
                                          on_delete=models.DO_NOTHING, 
                                          related_name="sportsman_blocked")

    class Meta:
        db_table = "blocked_sportsman"
        verbose_name = "заблокированный ползователь"
        verbose_name_plural = "заблокированные пользователи"
        constraints = [
            models.UniqueConstraint(fields=['sportsman', 'sportsman_blocked'], name='unique_blocked_sportsman')
        ]   