from django.db import models
from webservice_running.models import Sportsman, Event

class BrowseEvent(models.Model):
    """
    Соединяющая таблица пользователя и мероприятия для сохранения истории просмотра страниц мероприятий
    """
    sportsman = models.ForeignKey(Sportsman, on_delete=models.DO_NOTHING, related_name="sportsman_browseevent")
    event_browseevent = models.ForeignKey(Event, on_delete=models.DO_NOTHING, related_name="event_browseevent")
    time_browsed = models.DateTimeField(auto_now_add=True, help_text="Для сортировки объектов после соединения browseEvent и browseUser")

    class Meta:
        db_table = "browse_event"
        verbose_name = "просмотренное мероприятие"
        verbose_name_plural = "просмотренные мероприятия"
        constraints = [
            models.UniqueConstraint(fields=['sportsman', 'event_browseevent'], name='unique_browse_event')
        ]