from django.db import models
from webservice_running.models import Sportsman

class BrowseSportsman(models.Model):
    """
    Соединяющая таблица двух пользователей для сохранения истории просмотра страниц спортсменов конкретным кользователем
    """
    sportsman = models.ForeignKey(Sportsman, on_delete=models.DO_NOTHING, related_name="sportsman_browsesportsman")
    sportsman_browsed = models.ForeignKey(Sportsman, on_delete=models.DO_NOTHING, related_name="sportsman_browsed")
    # Для сортировки объектов после соединения browseEvent и browseUser
    time_browsed = models.DateTimeField(auto_now_add=True, help_text="Для сортировки объектов после соединения browseEvent и browseUser")

    class Meta:
        db_table = "browse_sportsman"
        verbose_name = "просмотренный пользователь"
        verbose_name_plural = "просмотренные пользователи"
        constraints = [
            models.UniqueConstraint(fields=['sportsman', 'sportsman_browsed'], name='unique_browse_sportsman')
        ]