from django.db import models
from webservice_running.models import Sportsman, Event

class Participant(models.Model):
    """
    Соединяющая таблица пользователя и мероприятия для регистрации участия
    """
    sportsman = models.ForeignKey(Sportsman, on_delete=models.DO_NOTHING, related_name="sportsman_participant")
    event_participant = models.ForeignKey(Event, on_delete=models.DO_NOTHING, related_name="event_participant")
    is_finished = models.BooleanField(default=False) # лучше такое поле или смотреть на дату окончания непосредственно в event?

    class Meta:
        db_table = "participant"
        verbose_name = "участник"
        verbose_name_plural = "участники"
        constraints = [
            models.UniqueConstraint(fields=['sportsman', 'event_participant'], name='unique_participant')
        ]