from django.db import models
from webservice_running.models import Sportsman, Event

class SavedEvent(models.Model):
    """
    Соединяющая таблица пользователя и мероприятия для реализации функционала сохранения мероприятия в список сохранённых у конкретного пользователя
    """
    sportsman = models.ForeignKey(Sportsman, on_delete=models.DO_NOTHING, related_name="sportsman_savedevent")
    event_savedevent = models.ForeignKey(Event, on_delete=models.DO_NOTHING, related_name="event_savedevent")

    class Meta:
        db_table = "saved_event"
        verbose_name = "сохранённое мероприятие"
        verbose_name_plural = "сохранённые мероприятия"
        constraints = [
            models.UniqueConstraint(fields=['sportsman', 'event_savedevent'], name='unique_saved_event')
        ]