from django.db import models
from webservice_running.models import Sportsman, Sport

class SportPreferrence(models.Model):
    """
    Соединяющая таблица с пользователями и видами спорта, которые пользователь добавил как предпочитаемые
    """
    sportsman = models.ForeignKey(Sportsman, on_delete=models.DO_NOTHING, related_name="sportsman_sportpreferrence")
    sport = models.ForeignKey(Sport, on_delete=models.DO_NOTHING, related_name="sport")

    class Meta:
        db_table = "sport_preferrence"
        verbose_name = "предпочитаемый вид спорта"
        verbose_name_plural = "предпочитаемые виды спорта"
        constraints = [
            models.UniqueConstraint(fields=['sportsman', 'sport'], name='unique_sportpreferrence')
        ]