from django.db import models
from webservice_running.models import Sportsman

class SportsmanGallery(models.Model):
    """
    Соединяющая таблица между пользователем и картинкой для хранения картинок для конкретного пользователя
    """
    sportsman = models.ForeignKey(Sportsman, on_delete=models.DO_NOTHING)
    image = models.ImageField(upload_to ='sports/sportsman/%Y/%m/%d/')

    class Meta:
        db_table = "sportsman_gallery"
        verbose_name = "фото пользователя"
        verbose_name_plural = "фото пользователя"